Subject: Zip file deleted despite exit with warning.
From: Jason Robertson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 27 Nov 2020 16:27:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello:

I'm decompressing some very important files as we speak, and while attempting to do so, it returned a warning that "entries after the first were ignored" and failed to output any useful files. The sample usage was:

gzip -d foo.zip

This returned only a single, small, corrupted file called "foo." Now, I only see one entry there, and Googling the problem really didn't help. More to the point, though...the first time I did this foo.zip was deleted. Which is a problem since, as I mentioned, these are important files. Upon further examination, I see that the -k is necessary to prevent this from happening, but I'm surprised that a) default behaviour is to delete files after usage, and b) it would do so even after a warning or error? This latter behaviour is what I perceive to be a bug, above all else, though I find the default behaviour in general to be baffling and unintuitive.

Thanks in advance.

Jason W. Robertson, Ph.D. (he/him)
Research Associate, Brain Networks and Neurophysiology Lab
Department of Anaesthesia, Pain Management, and Perioperative Medicine
Dalhousie University
Halifax, Nova Scotia, Canada
Email: [email-masked]